from GEODE.store import prepare
import matplotlib.pyplot as plot
import seaborn

def heatmap(matrix, filePath, labels, **kwargs):
    plot.figure(figsize=(16,13))
    if 'cmap' not in kwargs:
        kwargs['cmap'] = 'Blues'
    ax = seaborn.heatmap(
            matrix, xticklabels=labels, yticklabels=labels, **kwargs
        )
    plot.savefig(prepare(filePath), dpi=300, bbox_inches='tight')
