import json
import sys

def load(file_path):
    if type(file_path) == str:
        with open(file_path, 'r') as input_file:
            for line in input_file.readlines():
                yield json.loads(line)
    else:
        for line in file_path.readlines():
            yield json.loads(line)

"""
def load(file_path):
    if type(file_path) == str:
        with open(file_path, 'r') as input_file:
            return list(loadObjects(input_file))
    else:
        return loadObjects(file_path)

def loadObjects(input_file):
    for line in input_file.readlines():
        yield json.loads(line)
"""

def save(file_path, objects):
    if file_path == '-':
        file_path = sys.stdin
    if type(file_path) == str:
        with open(file_path, 'w') as output_file:
            saveObjects(output_file, objects)
    else:
        saveObjects(file_path, objects)

def saveObjects(output_file, objects):
    for obj in objects:
        json.dump(obj, output_file, separators=(',', ':'))
        print(file=output_file)
